# classes/phing/tasks/ext/UnzipTask.php

## \UnzipTask
jump to top

Extracts one or several zip archives using ZipArchive class.

This is very closely based on the ANT class of the same name.

Extends from
  \ExtractBaseTask
author
  Joakim Bodin <joakim.bodin+phing@gmail.com>
author
  George Miroshnikov
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext
version
  $Id: UnzipTask.php 526 2009-08-11 12:11:17Z mrook $

### Methods

`extractArchive( \PhingFile $zipfile ) : boolean`
Extract archive content into $this->todir directory
Parameters

Name | Type | Description
--- | --- | ---
$zipfile | \PhingFile | Zip file to extract

Returns

Type | Description
--- | ---
boolean |

`listArchiveContent( \PhingFile $zipfile ) : array`
List archive content
Parameters

Name | Type | Description
--- | --- | ---
$zipfile | \PhingFile | Zip file to list content

Returns

Type | Description
--- | ---
array |

Documentation was generated by DocBlox 0.13.1.